<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/**
 * SugarWidgetSubPanelDetailViewLink
 *
 * The contents of this file are subject to the SugarCRM Public License Version
 * 1.1.3 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.sugarcrm.com/SPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by SugarCRM" logo and
 *    (ii) the SugarCRM copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: SugarCRM Open Source
 * The Initial Developer of the Original Code is SugarCRM, Inc.
 * Portions created by SugarCRM are Copyright (C) 2004-2006 SugarCRM, Inc.;
 * All Rights Reserved.
 * Contributor(s): ______________________________________.
 */



require_once('include/generic/SugarWidgets/SugarWidgetField.php');
require_once("modules/EcmDocuments/dirstree.php");

class SugarWidgetSubPanelDetailViewLinkEcmDocuments extends SugarWidgetField
{
	function displayList(&$layout_def)
	{
		$iddir = $_REQUEST['record'];
		$record = $layout_def['fields']['ID'];		
		
		$r=mysql_fetch_array(mysql_query("select description,name,no from ecmdocuments where id='".$record."'"));
		$description = $r['description'];
		$no=$r['no'];
		$name=$r['name'];
		
		$z="select id from ecmdocuments where id='".$record."'";
   		$w=mysql_query($z);
   		while($r=mysql_fetch_array($w))$idp[]=$r['id'];
   		foreach($idp as $ids)
   		{
   			$bl=explode("||",$ids."||".check_block($ids,""));
   			for($i=count($bl)-1;$i>=0;$i--)
   			{
   				$z="select name,id,no from ecmdocuments where id='".$bl[$i]."'";
				$w=mysql_query($z);
				$r=mysql_fetch_array($w);
				if($r['name'])$linked_path.=$r['no'].".".$r['name']." / ";
				if($r['no'])$numbers.=$r['no'].".";
				
   			}
			$linked_path.="<br>";
		}
		//$numbers.=$no;
		return shortlinkdescription($no.".".$name,25,$record,$linked_path,"[num]".$numbers,"EcmDocuments");
	}
}

?>
